[Mailman-Users] Please you help me !!

George Crum george.crum at webwarecorp.com
Mon Sep 9 23:53:19 CEST 2002

This is the same problem I just had.  Here's what could be your problem.
This is copy and pasted from a recent email from Richard.

>This looks line a python installation problem and not a Mailman specific 
>pwd is a standard python module used to access the password database on 
>Unix systems and the error message you are getting is python saying that 
>the module cannot be imported.
>You can confirm (or deny) this proposition by running python from the 
>command line and trying to use pwd. For instance on my test system I get:
>Python 1.5.2 (#12, Oct 15 1999, 16:24:36) [C] on sunos5
>Copyright 1991-1995 Stichting Mathematisch Centrum, Amsterdam
> >>> import pwd
> >>> pwd.getpwnam('barrett')
>('barrett', 'x', 500, 101, 'Richard Barrett', '/u/barrett', 
> >>> pwd.getpwnam('mailman')
>('mailman', 'x', 601, 601, 'Mailman Maillist Manager account', 
>'/u/mailman', '/usr/local/bin/bash')
> >>>
>If you get an import failure after typing the import pwd line then you need

>to look to your python installation for the problem.

- George Crum

More information about the Mailman-Users mailing list